# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ gtk+-devel libgdbm-devel libgtk+2-devel perl(Digest/MD5.pm) perl(Time/Local.pm)
# END SourceDeps(oneline)
Summary: Enhanced backup plugin for J-Pilot
Name: jpilot-backup
Version: 0.60
Release: alt1_11
License: GPLv2+
Group: Office
Source: http://www.jlogday.com/code/jpilot-backup/%{name}-%{version}.tar.gz
Patch0: jpilot-backup-libdir.patch
URL: http://www.jlogday.com/code/jpilot-backup/
Requires: jpilot >= 0.99.2
BuildRequires: pilot-link-devel
BuildRequires: gtk2-devel
BuildRequires: gdbm-devel

# pilot-link excludes s390 and s390s, as such I must also exclude those arches
ExcludeArch: s390 s390x
Source44: import.info

%description
Features include multiple archives, automatic backups at user-specified times,
and the ability to specify which databases to backup.

%prep
%setup -n %{name}-%{version} -q
%patch0 -p1 -b .libdir

%build
%ifarch x86_64 ppc64 s390x
%configure --libdir=/lib64/jpilot/plugins
%else
%configure --libdir=/lib/jpilot/plugins
%endif

make %{?_smp_mflags}

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install

# manually remove the static library
# as --disable-static flag to ./configure does not help
rm  $RPM_BUILD_ROOT%{_libdir}/jpilot/plugins/libbackup.la

%files
%doc README README.NFS ChangeLog COPYING CREDITS TODO
%{_libdir}/jpilot/plugins/libbackup.so

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.60-alt1_11
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.60-alt1_10
- initial fc import

